Error
A valid request URL is required to generate request examples{
"success": true,
"releases": [
{
"_id": "<string>",
"tenantId": "<string>",
"projectId": "<string>",
"status": "building",
"source": {
"kind": "git",
"ref": {
"branch": "<string>",
"tag": "<string>"
},
"commitSha": "<string>"
},
"contentIntegrity": "<string>",
"version": "<string>",
"entityManifestHash": "<string>",
"deploymentSummaryByEnvironment": {}
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}List releases
List the releases of a project, filtered by status, branch, or version, with offset pagination.
GET
/
api
/
cicd
/
v1
/
projects
/
{projectId}
/
releases
Error
A valid request URL is required to generate request examples{
"success": true,
"releases": [
{
"_id": "<string>",
"tenantId": "<string>",
"projectId": "<string>",
"status": "building",
"source": {
"kind": "git",
"ref": {
"branch": "<string>",
"tag": "<string>"
},
"commitSha": "<string>"
},
"contentIntegrity": "<string>",
"version": "<string>",
"entityManifestHash": "<string>",
"deploymentSummaryByEnvironment": {}
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}status, branch, and version query parameters. Page through the results with limit (minimum 1) and offset (minimum 0).Authorizations
Query Parameters
Was this page helpful?